' /* TAG BEGIN SPCL:Help */
' Your project help file source.
'
#scan "xvt_help.h"
HEADER
VERSION 300
APPNAME nasaview
BODYSTANZA
File:10 Image:20

HTOPIC XVT_TPC_CONTENTS "Contents"
This is your Contents topic.

\LXVT_TPC_HELPONHELP\L

HTOPIC XVT_TPC_INDEX 1 "Index"  "File"  "Image" "Label" "Options" "Help"


HTOPIC XVT_TPC_HELPONHELP "On Help"
NASAView      Version 2.6.7               3/5/2003



NASAView is a Planetary Data System (PDS) product display tool that
runs on multiple hardware platforms with a common look-and-feel
Graphical User Interface (GUI).  NASAView is currently supported on
the Win32 and Sun Unix platforms. A version is also available on the Power Mac.

The functionality exhibited by NASAView has been requested by the sponsor.
NASAView will be distributed freely as a part of the overall PDS function.
A "click wrap" license site for NASAView is available at
http://pds.jpl.nasa.gov/license.html . More information regarding NASAView
can be received by contacting the PDS operator. (pds_operator@jpl.nasa.gov)

======================================================================

This software was developed at the Jet Propulsion Laboratory, an
operating division of the California Institute of Technology and
is available for use by the public without need of a license.

DISCLAIMER

THE  SOFTWARE AND RELATED MATERIALS ARE PROVIDED "AS-IS" WITHOUT WARRANTY
OR INDEMNITY OF ANY KIND INCLUDING ANY WARRANTIES OF USE, PERFORMANCE OR
MERCHANTABILITY OR FITNESS FOR  A PARTICULAR USE OR PURPOSE ( as set forth
in UCC ''2312-2313) OR FOR ANY PURPOSE WHATSOEVER.

USER BEARS ALL RISK RELATING TO USE, QUALITY AND PERFORMANCE OF THE SOFTWARE. 

The Jet Propulsion Laboratory, the California Institute of Technology and the
United States government retain a paid-up royalty free world wide license in this product.

======================================================================


Please send comments and suggestions. We are especially interested in 
PDS products that can not be displayed.

Dale.Schultz@jpl.nasa.gov

or

pds_operator@jpl.nasa.gov

======================================================================

NEW FUNCTIONALITY:

Version 2.6.7  March 5, 2003

Bug fix involving opening compressed MOC images.

BUGS

Tabs are not being properly displayed in this new code for SOLARIS and LINUX,

this will be not be corrected until the next release of XVT.

======================================================================

NEW FUNCTIONALITY:

Version 2.6.6  Feb. 17, 2003

Table handling has been completely rewritten.  It is now a GUI representation

of TBTOOL.

BUGS

Tabs are not being properly displayed in this new code for SOLARIS and LINUX,

this will be corrected in the next release.

======================================================================

NEW FUNCTIONALITY:

Version 2.6.5  Jan. 18, 2003

Made changes to speed up qube processing, particularly THEMIS RDR

qubes with 32 bit real numbers.

======================================================================

NEW FUNCTIONALITY:

January 2003 - V2.6.4

1) Processing for THEMIS RDR qubes

======================================================================

NEW FUNCTIONALITY:

December 2002 - V2.6.3

1) Processing for THEMIS EDR qubes

======================================================================

Version 2.6.2  Oct. 15, 2002

NEW FUNCTIONALITY:
Table processing is now working properly

======================================================================

Version 2.6.1  Sept. 17, 2002

NEW FUNCTIONALITY:

1) Ability to read THEMIS cubes.

BUGS
During testing problems were found in table processing.  It is 
recomended that Windows users use TBTOOL to examine tables.  SOLARIS 
version of NASAView seems to run proberly.
SOLARIS users will note that when closing a THEMIS CUBE window the 
program crashes.
Both of these problems have a high priority and are being addressed
now.
The HELP, such as it is, was not updated but will be for the next
release

======================================================================


NEW FUNCTIONALITY:

December 2001 - V2.5.8


1) Some compressed MOC files will be detected and decompressed through the
"OPEN OBJECT" menu item.  Those that are missed will have to be decompressed
by using the "OPEN MOC OBJECT" menu item.

2) The READMOC code supplied by MSSC is no longer a stand alone program.  It 
has been converted to a C++ library and is linked to NASAView.

Bug Fix:

1) Save  JPEG and save GIF both worked properly in 2.5.7 but "Save JPEG AS" and
"Save GIF AS" did not work properly.  They have both been fixed.

======================================================================
NEW FUNCTIONALITY:

May 2001 - V2.5.7

1) Save as JPEG

	JPEG functionality is made possible using software furnished by the
 "Independent JPEG Group".

	This distribution contains the sixth public release of the Independent JPEG
Group's free JPEG software.

	The JPEG software is the work of Tom Lane, Philip Gladstone, Jim Boucher, 
Lee Crocker, Julian Minguillon, Luis Ortiz, George Phillips, Davide Rossi, 
Guido Vollbeding, Ge' Weijers, and other members of the Independent JPEG 
Group.

	IJG is not affiliated with the official ISO JPEG standards committee.

Bug Fix:

SERIES objects are now displayed.

======================================================================

NEW FUNCTIONALITY:

Nov 2000 - V2.5.6

Bug Fixes:

    Several memory allocation problems have been fixed.

    Containers were not being displayed properly.

======================================================================

NEW FUNCTIONALITY:

Sept 2000 - V2.5.5

1) Autobrowse Feature - Program will browse a CD or directory automatically at a specified number of seconds or when told to go to the next file.

2) Table Plot Feature - Will plot a table that is selected from the hierarchy list.

Bug Fixes:

    Several memory allocation problems have been fixed.

    When a page table window is closed the associated table will also be closed.

    Large integers are no longer being truncated in table displays.

    Bit Column displays had to be corrected.

======================================================================

NEW FUNCTIONALITY:

July 2000 - V2.5.4

1) Ability to create a PDS Label for a raw image file.

2) Abiltiy to create a PDS Label for a FITS image file.

======================================================================


NEW FUNCTIONALITY:

April 2000 - V2.5.3b

1) BIT COLUMNS - Open Object, select Hierarchy, select column

2) MOC IMAGES - A file will be opened in your working directory.  It will contain a decompressed image with the same name as the file that was selected except that the extension will be .tmp.  The file will not be deleted by NASAView.

=======================================================================

January 2000 - V2.5.3

1) Multi Spectrum images can now be displayed if:
	
                They are 8 or 16 bit images
	
                They are BAND_SEQUENTIAL
	
2) Multi Spectrum images may be stretched

3) Multi Spectrum image histograms may be displayed and used to manipulate the image

4) When displaying a label, or text object the native LF, CR characters may be replaced

   with <LF><CR> for ease of viewing.	

Problems that were corrected:

1) Date/time values in tables were being truncated.

2) Selecting an object from an displayed index object caused the object to be cleared

   from the display.
   
3) Selecting SHOW SIDEDATA for a non cube object caused the program to abort.

	
Known problem:

1) Windows - Program will crash if while an image is displayed the horizontal thumb wheel is moved all the way to the right and the drag box is pulled to the right.  Also if while moving the drag box to the right the thumb wheel should move all the way to the edge of the drag box the program will crash.

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =

July 1999 - V2.5.2

1) Objects may be selected from an open index list.

2) Objects may be selected from the Hierarchy list.

3) Row/Line numbers have been added to table displays.

4) Table display column width increased to allow full name to be displayed.

5) Program has been ported to SOLARIS 2.6 Common Desktop Environment.

6) Histogram/Palette window size increased.


Problems that were corrected:

1) Label data could not be displayed after opening a table.

2) Text objects not always displayed properly.

3) Program crashed if no END OBJECT.

4) Attempt to write GIF file caused program to crash.

5) Display image topo problem appeared to be a data problem.

6) 16 bit signed integer image problem was a label related problem.

= = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = = =


October 1998 - V1.2.5b

1)  Enhanced CUBE display.
 
2)  Real 32 bit  image display.

February 1998  - V1.2b

1) Displays TABLEs, TIME_SERIES, SPECTRUM, and Galileo CUBE 
objects.
_

2) Under Options, NASAView now a) calculates an image histogram, b) 
allows contrast stretches via either scroll bar movement or min/max 
boundary line dragging, c) allows change to brightness via scroll bar 
movement or median indicator line dragging, and d) application of a 
number of color palettes.

June 1997 - V1.1.2.b

1) NASAView can be invoked as a Web Browser helper application by 
specifying:
	File Type	: application/PDS
	Action	: nasaview
	Extensions	: lbl, img
	
2) NASAView can be invoked from a command line along with a PDS 
product file name.

3) NASAView scales a 16 bit image to an 8-bit image in memory before 
displaying  the image as a pixmap. The specification of MINIMUM and 
MAXIMUM pixel values in the label will save NASAView from having 
to search the raw image for these values.

4) The stretch function can now be performed against either the pixmap 
image being displayed  (modifies only a color lookup table and so can be 
undone but can not be applied successively) or for the image in memory 
(modifies image so cannot be undone but can be applied successively). 
The stretch algorithm is an 8-bit contrast stretch with the upper and lower 
5% saturated.

5) The "save gif" and "save gif as"  functions use the 8-bit in-memory 
image as a source. This allows a stretched image to be saved as a gif file.

INSTALLATION,  ISSUES, AND RESOLUTIONS:

1)	The Solaris executable "nasaview" requires the file "nasaview.uid" 
for execution. NASAView can be run from a local directory as long as 
both files are in same directory. For a more permanent installation, the 
executable "nasaview" should be installed in /usr/local/bin and the 
nasaview.uid file in /usr/local/lib. The environment variable UIDPATH 
will need to be set as follows:
 "setenv UIDPATH ./%U:/usr/local/lib/%U"

The SOLARIS version requires X_Windows and the Motif window manager 
mwm. NASAView is not guaranteed to run under other X_Window 
systems but there are rumors of success.

2) Some users have found the following .cshrc changes were needed to make
   Nasaview work on their Solaris system.

	add /usr/local/pds (or the location of nasaview) to the "path" 

	add /usr/local/lib (or the location of the libraries) to the 
	"LD_LIBRARY_PATH":

	set path = ($path /usr/local/pds )
	setenv LD_LIBRARY_PATH ${LD_LIBRARY_PATH}:/usr/local/lib

3) NASAView can be invoked as a Web Browser helper application 
by specifying in a browser:
	File Type	: application/PDS
	Action	: nasaview
	Extensions	: lbl, img
	

4)	The PC/WIN32 version requires four DLL files for execution. 
(Included in the distribution package) These files need to be moved 
to the C:\WINDOWS\SYSTEM directory for a permanent installation.

5) NASAView can be invoked from a command line. A file containing a 
PDS label can also be specified.


======================================================================

NASAView RATIONALE and OVERVIEW

The PDS archive currently contains about 5 terrabytes of data from 
NASA planetary exploration missions. The data sets in this archive reside 
primarily on CD volumes and consist of science data products that have 
been labeled with descriptive information useful for accessing and 
interpreting the data. NASAView was developed as a simple display tool 
for this archive with a requirement that it run on multiple hardware 
platforms and convert between machine specific data formats as 
necessary. This application was built using the PDS Label Library Light 
(L3), PDS Object Access Library (OAL), and the XVT Portability Toolkit 
(tm).

The PDS OAL and L3 libraries provide access to PDS labeled data 
products and represent the standard software libraries available for the 
production and use of the PDS archive. The L3 library reads and parses a 
product label and allows access to label information using standard 
function calls.  The OAL, using the label information, manipulates the  
actual science data at three levels. At the lowest level or stream layer, 
physical record format differences such as <CR><LF> versus <LF> 
record delimiters are addressed. At the next higher level or structure layer, 
data format differences such as byte-order is addressed. Finally at the 
object layer, data products can be manipulated using object-based 
function calls.

The XVT Portability Toolkit (tm), a commercial product,  provides the 
cross platform GUI development environment for NASAView. It allows 
an interface to be developed on one platform and to then be ported to 
another supported platform with little effort. Most important for this 
application, it utilizes the native windowing system on the target platform. 
This provides a user with the  expected look-and-feel on a specific 
platform while  also providing the same  application functionality across 
platforms.


 



 

 
' /* TAG END SPCL:Help */
